Bug 974801 - MDRaidError: invalid raid level descriptor なし
MDRaidError: invalid raid level descriptor なし
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:3ef342dbfb5ba80d91d96f47451...
:
Depends On:
Blocks: F19-accepted/F19FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-06-15 21:10 EDT by 7cw5y4hf
Modified: 2013-06-28 03:17 EDT (History)
9 users (show)

See Also:
Fixed In Version: python-blivet-0.17-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 03:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (498.06 KB, text/plain)
2013-06-15 21:10 EDT, 7cw5y4hf
no flags Details
File: anaconda.log (31.48 KB, text/plain)
2013-06-15 21:10 EDT, 7cw5y4hf
no flags Details
File: backtrace (402 bytes, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: environ (760 bytes, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: lsblk_output (1.45 KB, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: nmcli_dev_list (3.24 KB, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: packaging.log (29.61 KB, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: program.log (33.87 KB, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: storage.log (191.78 KB, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details
File: syslog (64.70 KB, text/plain)
2013-06-15 21:11 EDT, 7cw5y4hf
no flags Details

  None (edit)
Description 7cw5y4hf 2013-06-15 21:10:46 EDT
Description of problem:
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/mdraid.py", line 60, in raidLevel
    raise MDRaidError("invalid raid level descriptor %s" % descriptor)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 475, in on_save_clicked
    md_level = mdraid.raidLevel(raid_level)
MDRaidError: invalid raid level descriptor なし

Version-Release number of selected component:
anaconda-19.30-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 475, in on_save_clicked
    md_level = mdraid.raidLevel(raid_level)
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/mdraid.py", line 60, in raidLevel
    raise MDRaidError("invalid raid level descriptor %s" % descriptor)
MDRaidError: invalid raid level descriptor なし
Comment 1 7cw5y4hf 2013-06-15 21:10:54 EDT
Created attachment 761713 [details]
File: anaconda-tb
Comment 2 7cw5y4hf 2013-06-15 21:10:58 EDT
Created attachment 761714 [details]
File: anaconda.log
Comment 3 7cw5y4hf 2013-06-15 21:11:02 EDT
Created attachment 761715 [details]
File: backtrace
Comment 4 7cw5y4hf 2013-06-15 21:11:05 EDT
Created attachment 761716 [details]
File: environ
Comment 5 7cw5y4hf 2013-06-15 21:11:09 EDT
Created attachment 761717 [details]
File: ifcfg.log
Comment 6 7cw5y4hf 2013-06-15 21:11:13 EDT
Created attachment 761718 [details]
File: lsblk_output
Comment 7 7cw5y4hf 2013-06-15 21:11:16 EDT
Created attachment 761719 [details]
File: nmcli_dev_list
Comment 8 7cw5y4hf 2013-06-15 21:11:20 EDT
Created attachment 761720 [details]
File: packaging.log
Comment 9 7cw5y4hf 2013-06-15 21:11:24 EDT
Created attachment 761721 [details]
File: program.log
Comment 10 7cw5y4hf 2013-06-15 21:11:29 EDT
Created attachment 761722 [details]
File: storage.log
Comment 11 7cw5y4hf 2013-06-15 21:11:33 EDT
Created attachment 761723 [details]
File: syslog
Comment 12 Brian Lane 2013-06-18 20:25:52 EDT
You can retry with a newer version, but I wouldn't really expect unicode raid descriptors to work.
Comment 13 Brian Lane 2013-06-24 14:47:33 EDT
This happens when you select 'Modify' for a LVM VG and then select None for the RAID Level in non-english installs.
Comment 14 Adam Williamson 2013-06-24 15:34:31 EDT
Fix is:

https://lists.fedorahosted.org/pipermail/anaconda-patches/2013-June/004736.html

AIUI, 'no RAID' is the default for LVM, so you're only actually going to hit this by trying quite hard to set a setting that would be the same as the default in any case?
Comment 15 Adam Williamson 2013-06-24 16:38:30 EDT
Discussed at 2013-06-24 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-24/f19final-blocker-review-8.2013-06-24-16.00.log.txt .  Accepted as a freeze exception issue: this can cause installation to be impossible using a non-English language if you wish to modify VG properties.
Comment 16 Fedora Update System 2013-06-24 17:59:32 EDT
anaconda-19.30.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30.10-1.fc19
Comment 17 Fedora Update System 2013-06-25 17:17:35 EDT
Package python-blivet-0.17-1.fc19, anaconda-19.30.11-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.17-1.fc19 anaconda-19.30.11-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11679/python-blivet-0.17-1.fc19,anaconda-19.30.11-1.fc19
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-06-26 13:10:33 EDT
Package python-blivet-0.17-1.fc19, anaconda-19.30.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.17-1.fc19 anaconda-19.30.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11679/python-blivet-0.17-1.fc19,anaconda-19.30.12-1.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-06-28 03:17:23 EDT
python-blivet-0.17-1.fc19, anaconda-19.30.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.